package com.biganto.visual.roompark.data.repository.db.requrey.model

import com.biganto.visual.roompark.data.repository.db.requrey.utils.IsoDateConverter
import io.requery.*
import java.util.*

/**
 * Created by Vladislav Bogdashkin on 29.10.2019.
 */


@Entity
interface ImageAlbum : Persistable {
    @get:Key
    val id:Int
    val title:String
    val sort:Int
    @get:Convert(IsoDateConverter::class)
    val date: Date
    @get:JunctionTable(name= "AlbumParentness")
    @get:ForeignKey(references = ImageAlbum::class, referencedColumn = "id")
    val parent_id:Int
}